import { DataSourceType } from "./chartEnum";

export interface ChartData {
  xData: string[];
  yData: number[] | string[];
  series: any[];
}
// chart数据源
export interface DataSource {
  // 类型
  sourceType: DataSourceType.STATIC,
  // 基础数据源
  basicPath?: string;
  // 视图源
  viewCode?: string;
  // 数据
  data?: ChartData;
  // 接口相关
  url?: string;
  // 请求方式
  method?: 'GET' | 'POST';
  // 请求参数
  params?: any;
  // 请求头
  headers?: Record<string, any>;
  refreshTime?: number;
  // 数据处理
  dataProcess: () => any[];
}